[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SysFlushStdIO

Flush all standard IO file descriptors

## Declaration

Source position: systemh.inc line 1543

`procedure SysFlushStdIO;`

## Description

SysFlushStdIO calls flush on all standard file descriptors: output, stdout, stderr, erroutput

## See also

output |  | Standard output text file.
stdout |  | Alias for Output.
stderr |  | Standard diagnostic output text file.
erroutput |  | Alias for StdErr
flush |  | Write file buffers to disk